## ros-iron-moveit-ros-warehouse 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_warehouse LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(fmt REQUIRED)
find_package(rclcpp REQUIRED)
find_package(moveit_core REQUIRED)
find_package(warehouse_ros REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_ros REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

include_directories(include)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  fmt
  Boost
  moveit_core
  rclcpp
  warehouse_ros
  moveit_ros_planning
  tf2_eigen
  tf2_ros
)

# Libraries
add_library(moveit_warehouse SHARED
  src/moveit_message_storage.cpp
  src/planning_scene_storage.cpp
  src/planning_scene_world_storage.cpp
  src/constraints_storage.cpp
  src/trajectory_constraints_storage.cpp
  src/state_storage.cpp
  src/warehouse_connector.cpp
)
include(GenerateExportHeader)
generate_export_header(moveit_warehouse)
target_include_directories(moveit_warehouse PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(moveit_warehouse PROPERTIES VERSION "${moveit_ros_warehouse_VERSION}")
ament_target_dependencies(moveit_warehouse ${THIS_PACKAGE_INCLUDE_DEPENDS})


# Executables
add_executable(moveit_warehouse_broadcast src/broadcast.cpp)
ament_target_dependencies(moveit_warehouse_broadcast ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_warehouse_broadcast moveit_warehouse)

add_executable(moveit_save_to_warehouse src/save_to_warehouse.cpp)
ament_target_dependencies(moveit_save_to_warehouse ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_save_to_warehouse moveit_warehouse fmt)

add_executable(moveit_warehouse_import_from_text src/import_from_text.cpp)
ament_target_dependencies(moveit_warehouse_import_from_text ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_warehouse_import_from_text moveit_warehouse)

add_executable(moveit_warehouse_save_as_text src/save_as_text.cpp)
ament_target_dependencies(moveit_warehouse_save_as_text ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_warehouse_save_as_text moveit_warehouse)

add_executable(moveit_init_demo_warehouse src/initialize_demo_db.cpp)
ament_target_dependencies(moveit_init_demo_warehouse ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_init_demo_warehouse moveit_warehouse)

add_executable(moveit_warehouse_services src/warehouse_services.cpp)
ament_target_dependencies(moveit_warehouse_services ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_warehouse_services moveit_warehouse)

install(
  TARGETS
    moveit_save_to_warehouse
    moveit_warehouse_broadcast
    moveit_warehouse_import_from_text
    moveit_warehouse_save_as_text
    moveit_init_demo_warehouse
    moveit_warehouse_services
  RUNTIME DESTINATION lib/moveit_ros_warehouse
)
install(DIRECTORY include/ DESTINATION include/moveit_ros_warehouse)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/moveit_warehouse_export.h DESTINATION include/moveit_ros_warehouse)

install(
  TARGETS moveit_warehouse
  EXPORT moveit_ros_warehouseTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include/moveit_ros_warehouse
)

ament_export_targets(moveit_ros_warehouseTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-iron-moveit-ros-warehouse (2.8.0-1jammy) jammy; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-ros-warehouse (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-ros-warehouse (2.7.3-1jammy) jammy; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-warehouse (2.7.2-1jammy) jammy; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-warehouse (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-ros-warehouse (2.7.0-1jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke, Sameer Gupta

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-ros-warehouse (2.6.0-1jammy) jammy; urgency=high

  * Restructure moveit warehouse package (#1551 <https://github.com/ros-planning/moveit2/issues/1551>)
    * Restructure warhouse package to match other packages, remove manifest.xml
    * Cleanup CMakeLists.txt file
    * Remove dublicate install command
    * Export ${PROJECT_NAME}Targets
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-ros-warehouse (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-ros-warehouse (2.5.2-1jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/c88f6fb64e9057a4b9a8f6fafc01060e8c48a216
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)


=== debian/control ===
Source: ros-iron-moveit-ros-warehouse
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-ros-planning, ros-iron-rclcpp, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-warehouse-ros, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-warehouse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-ros-planning, ros-iron-rclcpp, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-warehouse-ros, ros-iron-ros-workspace
Description: Components of MoveIt connecting to MongoDB

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-ros-warehouse//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
